%{!?__pecl:       %define __pecl      %{_bindir}/pecl}
%{!?pecl_phpdir:  %define pecl_phpdir %(%{__pecl} config-get php_dir 2>/dev/null || echo 'None')}
%{!?pecl_xmldir:  %define pecl_xmldir %{pecl_phpdir}/.pkgxml}

%define php_ver   %(php-config --version 2>/dev/null || echo 0)
%define php_extd  %(php-config --extension-dir 2>/dev/null || echo 'None')

%define modn      json
%define modv      1.2.1
%define modp      %(echo %{modn} | cut -d'_' -f1)


Summary:          JavaScript Object Notation for PHP
Name:             php-pecl-%{modn}
Version:          %{modv}
Release:          1%{?dist}%{?pext}
License:          PHP
Group:            System Environment/Libraries
Source0:          http://pecl.php.net/get/%{modn}-%{modv}.tgz
Source1:          %{name}.ini
URL:              http://pecl.php.net/package/%{modn}/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           Omar Kilani <omar@php.net>
Provides:         php-pecl(%{modn}) = %{modv}
Requires:         php = %{php_ver}
BuildRequires:    php-devel >= 4.3.0 php-devel < 5.2.0
BuildRequires:    php-pear automake libtool m4


%description
PECL::json is an extremely fast PHP C extension for JSON (JavaScript Object
Notation) serialisation, which conforms to the JSON specification.


%prep
%setup -q -c

[ -f package2.xml ] || %{__mv} package.xml package2.xml
%{__mv} package2.xml %{modn}-%{modv}/%{name}.xml


%build
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"

pushd %{modn}-%{modv}
phpize

%configure \
	--with-json

%{__make} %{?_smp_mflags}
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{pecl_xmldir}

pushd %{modn}-%{modv}
%{__make} \
	INSTALL_ROOT=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/php.d/%{modn}.ini

# Install package spec
%{__install} -m 0644 -p %{name}.xml ${RPM_BUILD_ROOT}%{pecl_xmldir}
popd


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc %{modn}-%{modv}/README
%config(noreplace) %{_sysconfdir}/php.d/%{modn}.ini
%{php_extd}/%{modn}.so
%{pecl_xmldir}/%{name}.xml


%changelog
* Wed Aug 17 2011 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.1-1
- Initial build
